Box2D 2.3.0 A 2D Physics Engine for Games

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Enumerator

- a
- b
- c
- d
- e
- f
- g
- i
- j
- k
- l
- m
- n
- o
- p
- r
- s
- t
- u

### - a -

- a : b2Sweep
- aabb : b2TreeNode
- active : b2BodyDef
- allowSleep : b2BodyDef
- alpha0 : b2Sweep
- angle : b2BodyDef
- angularDamping : b2BodyDef
- angularOffset : b2MotorJointDef
- angularVelocity : b2BodyDef
- awake : b2BodyDef

### - b -

- bodyA : b2JointDef
- bodyB : b2JointDef
- bullet : b2BodyDef

### - c -

- c : b2Sweep
- categoryBits : b2Filter
- center : b2MassData
- collideConnected : b2JointDef
- contact : b2ContactEdge
- correctionFactor : b2MotorJointDef

### - d -

- dampingRatio : b2DistanceJointDef , b2MouseJointDef , b2WeldJointDef , b2WheelJointDef
- density : b2FixtureDef

### - e -

- enableLimit : b2PrismaticJointDef , b2RevoluteJointDef
- enableMotor : b2PrismaticJointDef , b2RevoluteJointDef , b2WheelJointDef

### - f -

- filter : b2FixtureDef
- fixedRotation : b2BodyDef
- frequencyHz : b2DistanceJointDef , b2MouseJointDef , b2WeldJointDef , b2WheelJointDef
- friction : b2FixtureDef

### - g -

- gravityScale : b2BodyDef
- groundAnchorA : b2PulleyJointDef
- groundAnchorB : b2PulleyJointDef
- groupIndex : b2Filter

### - i -

- I : b2MassData
- id : b2ManifoldPoint
- indexA : b2ContactFeature , b2SimplexCache
- indexB : b2ContactFeature , b2SimplexCache
- isSensor : b2FixtureDef
- iterations : b2DistanceOutput

### - j -

- joint : b2JointEdge
- joint1 : b2GearJointDef
- joint2 : b2GearJointDef

### - k -

- k2 : b2RopeDef
- k3 : b2RopeDef
- key : b2ContactID

### - l -

- length : b2DistanceJointDef
- lengthA : b2PulleyJointDef
- lengthB : b2PulleyJointDef
- linearDamping : b2BodyDef
- linearOffset : b2MotorJointDef
- linearVelocity : b2BodyDef
- localAnchorA : b2DistanceJointDef , b2FrictionJointDef , b2PrismaticJointDef , b2PulleyJointDef , b2RevoluteJointDef , b2RopeJointDef , b2WeldJointDef , b2WheelJointDef
- localAnchorB : b2DistanceJointDef , b2FrictionJointDef , b2PrismaticJointDef , b2PulleyJointDef , b2RevoluteJointDef , b2RopeJointDef , b2WeldJointDef , b2WheelJointDef
- localAxisA : b2PrismaticJointDef , b2WheelJointDef
- localCenter : b2Sweep
- localNormal : b2Manifold
- localPoint : b2Manifold , b2ManifoldPoint
- lowerAngle : b2RevoluteJointDef
- lowerBound : b2AABB
- lowerTranslation : b2PrismaticJointDef

### - m -

- m_count : b2ChainShape
- m_p : b2CircleShape
- m_vertex0 : b2EdgeShape
- m_vertex1 : b2EdgeShape
- m_vertices : b2ChainShape
- major : b2Version
- maskBits : b2Filter
- mass : b2MassData
- maxForce : b2FrictionJointDef , b2MotorJointDef , b2MouseJointDef
- maxLength : b2RopeJointDef
- maxMotorForce : b2PrismaticJointDef
- maxMotorTorque : b2RevoluteJointDef , b2WheelJointDef
- maxTorque : b2FrictionJointDef , b2MotorJointDef
- metric : b2SimplexCache
- minor : b2Version
- motorSpeed : b2PrismaticJointDef , b2RevoluteJointDef , b2WheelJointDef

### - n -

- next : b2ContactEdge , b2JointEdge
- normal : b2WorldManifold
- normalImpulse : b2ManifoldPoint

### - o -

- other : b2ContactEdge , b2JointEdge

### - p -

- pointA : b2DistanceOutput
- pointB : b2DistanceOutput
- pointCount : b2Manifold
- points : b2Manifold , b2WorldManifold
- position : b2BodyDef
- prev : b2ContactEdge , b2JointEdge

### - r -

- ratio : b2GearJointDef , b2PulleyJointDef
- referenceAngle : b2PrismaticJointDef , b2RevoluteJointDef , b2WeldJointDef
- restitution : b2FixtureDef
- revision : b2Version

### - s -

- s : b2Rot
- separations : b2WorldManifold
- shape : b2FixtureDef

### - t -

- tangentImpulse : b2ManifoldPoint
- target : b2MouseJointDef
- type : b2BodyDef , b2JointDef
- typeA : b2ContactFeature
- typeB : b2ContactFeature

### - u -

- upperAngle : b2RevoluteJointDef
- upperBound : b2AABB
- upperTranslation : b2PrismaticJointDef
- userData : b2BodyDef , b2FixtureDef , b2JointDef